package	jp.co.sds_corp.syslog.layout;

import java.io.Serializable;

import jp.co.sds_corp.util.syslog.SyslogMsg;

/**
* データを編集して文字列として出力します。
*/
public interface ILayout extends Serializable
{
	/**
	* フォーマット文字列を返します。
	* @return	フォーマット文字列
	*/
	public String getFormat();
	/**
	* フォーマット文字列を指定します。
	* @param	fmt		フォーマット文字列
	*/
	public void setFormat( String fmt );

	/**
	* ESC処理を行うかどうかを設定します。
	* @param	var		ESC処理を行うかどうか
	*/
	public void setEscapeConversion( boolean var );
	/**
	* ESC処理を行うかどうかを取得します。
	* @return	ESC処理を行うかどうか
	*/
	public boolean isEscapeConversion();

	/**
	* 文字列を編集して出力します。
	* @param	msg		編集元のデータ
	* @return	編集結果の文字列
	*/
	public String format( SyslogMsg msg );
}
