package	jp.co.sds_corp.syslog.layout;


/**
* 指定されたフォーマット文字列を元に、データを編集します。
フォーマット文字列は、%(変換文字){詳細フォーマット}形式で指定され
以下の指定が可能です。
<TABLE BORDER=1 WIDTH=80%>
<TR>
	<TH>変換文字</TH>
	<TH>編集内容</TH>
	<TH>詳細フォーマット</TH>
	<TH>出力例</TH>
</TR>
<TR>
	<TD>D</TD><TD>現在時刻</TD><TD>yyyy-MM-dd HH:mm:ss</TD><TD>2007-07-01 01:02:03</TD>
</TR>
<TR>
	<TD>d</TD><TD>受信日時</TD><TD>yyyy-MM-dd HH:mm:ss</TD><TD>2007-07-01 01:02:03</TD>
</TR>
<TR>
	<TD>a</TD><TD>IPアドレス</TD><TD>&nbsp;</TD><TD>111.222.333.444</TD>
</TR>
<TR>
	<TD>h</TD><TD>ホスト名</TD><TD>&nbsp;</TD><TD>localhost</TD>
</TR>
<TR>
	<TD>F</TD><TD>Facility(数値)</TD><TD>&nbsp;</TD><TD>1</TD>
</TR>
<TR>
	<TD>f</TD><TD>Facility(文字列)</TD><TD>&nbsp;</TD><TD>USER</TD>
</TR>
<TR>
	<TD>P</TD><TD>Priority(数値)</TD><TD>&nbsp;</TD><TD>3</TD>
</TR>
<TR>
	<TD>p</TD><TD>Priority(文字列)</TD><TD>&nbsp;</TD><TD>ERR</TD>
</TR>
<TR>
	<TD>m</TD><TD>メッセージ</TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
</TR>
<TR>
	<TD>o</TD><TD>Originalのメッセージ</TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
</TR>
</TABLE>
<PRE>
&lt;Layout class="jp.co.sds_corp.syslog.layout.SyslogLayout"&gt;
	%d{yyyy-MM-dd HH:mm:ss} %h %f:%p [%m]\r\n
&lt;/Layout&gt;
</PRE>
*/
public class SyslogLayout extends PatternLayout
{
	private static final long serialVersionUID = 1L;
	/**
	* {@link FormatParser}を生成します。
	* @param	fmt		フォーマット文字列
	*/
	public FormatParser createParser( String fmt ) {
		return new SyslogFormatParser( fmt );
	}

}
