package	jp.co.sds_corp.syslog.viewer.filter;

import jp.co.sds_corp.syslog.filter.IFilter;

/**
* {@link IFilter}の各種設定をするPanelのためのインターフェースです。
* @author	小見山　聡
*/
public interface IFilterPanel
{
	/**
	* {@link IFilter}を設定します。
	*/
	public void setFilter( IFilter filter );
	/**
	* {@link IFilter}を取得します。
	*/
	public IFilter getFilter();

	/**
	* 現在の{@link IFilter}を入力された内容で設定します。
	*/
	public void updateFilter();

	/**
	* 設定内容をクリアします。
	*/
	public void clear();

	/**
	* このパネルが有効かどうかを設定します。
	* @param	bChk	有効にする場合true　無効にする場合false
	*/
	public void setEnabled( boolean bChk );
}
